﻿<%@ Page Title="" Language="vb" AutoEventWireup="false" MasterPageFile="~/Samples.Master" CodeBehind="digital-signatures.aspx.vb" Inherits="SelectPdf.Samples.digital_signatures" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
    <title>Select.Pdf for .NET - Digital Signatures</title>
    <meta name="description" content="Select.Pdf Digital Signatures Sample for C#. Pdf Library for .NET with full sample code in C# and VB.NET." itemprop="description">
    <meta name="keywords" content="digital signatures, pdf library, sample code, html to pdf, pdf converter" itemprop="keywords">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="mainContent" runat="server">
        <article class="post type-post status-publish format-standard hentry">
            <header class="entry-header">
                <h1 class="entry-title">Select.Pdf for .NET - Digital Signatures</h1>
            </header>
            <!-- .entry-header -->

            <div class="entry-content">
                <p>
                    Digital signatures can be added to a PDF document using <i>PdfDigitalSignatureElement</i> objects. 
                    Adding a digital signature requires a PKCS#12 certificate (provided as a .pfx or a .p12 file). 
                    <br />
                    <br />
                    Sample certificate file:<br />
                    <a href="files/selectpdf.pfx" target="_blank">Certificate</a><br />
                    <br />
                    The following sample shows how to add a digital signature to a pdf document using Select.Pdf Library for .NET.
                    <br />
                    <br />
                    IMPORTANT: Please note that the certificate used is a self signed certificate generated for testing purposes only. 
                    The signature will appear as not valid in a pdf viewer. Using a valid certificate will result in a valid digital signature.
                </p>
                <p>
                    <asp:Button ID="BtnCreatePdf" runat="server" Text="Create PDF" OnClick="BtnCreatePdf_Click" CssClass="mybutton" />
                </p>
            </div>
            <!-- .entry-content -->
        </article>
        <!-- #post -->
</asp:Content>
